/*!  Polyfill service v3.104.0
 * 
 * For detailed credits and licence information see https://github.com/financial-times/polyfill-service.
 * 
 * Features requested: Array.from,Array.prototype.find,String.prototype.startsWith
 * 
 * - _ESAbstract.ArrayCreate, License: CC0 (required by "Array.from")
 * - _ESAbstract.Call, License: CC0 (required by "String.prototype.startsWith", "_ESAbstract.ToString", "_ESAbstract.ToPrimitive", "_ESAbstract.OrdinaryToPrimitive")
 * - _ESAbstract.CreateDataProperty, License: CC0 (required by "Array.from", "Set", "_ESAbstract.CreateIterResultObject")
 * - _ESAbstract.CreateDataPropertyOrThrow, License: CC0 (required by "Array.from")
 * - _ESAbstract.CreateMethodProperty, License: CC0 (required by "Array.from", "Set", "Symbol", "Object.getOwnPropertyNames", "Array.prototype.includes")
 * - _ESAbstract.Get, License: CC0 (required by "Array.from", "Set", "Symbol", "Object.getOwnPropertyNames", "Array.prototype.includes")
 * - _ESAbstract.HasOwnProperty, License: CC0 (required by "Array.from", "Set", "Symbol", "Object.getOwnPropertyDescriptor")
 * - _ESAbstract.IsCallable, License: CC0 (required by "String.prototype.startsWith", "_ESAbstract.ToString", "_ESAbstract.ToPrimitive", "_ESAbstract.OrdinaryToPrimitive")
 * - _ESAbstract.RequireObjectCoercible, License: CC0 (required by "String.prototype.startsWith")
 * - _ESAbstract.SameValueNonNumber, License: CC0 (required by "Array.from", "Set", "_ESAbstract.SameValueZero")
 * - _ESAbstract.ToBoolean, License: CC0 (required by "Array.from", "Set", "_ESAbstract.IteratorComplete")
 * - _ESAbstract.ToObject, License: CC0 (required by "Array.from", "Set", "Symbol", "Object.getOwnPropertyNames", "Array.prototype.includes")
 * - _ESAbstract.GetV, License: CC0 (required by "Array.from", "_ESAbstract.GetIterator")
 * - _ESAbstract.GetMethod, License: CC0 (required by "String.prototype.startsWith", "_ESAbstract.ToString", "_ESAbstract.ToPrimitive")
 * - _ESAbstract.Type, License: CC0 (required by "Array.from", "Set", "Symbol", "Object.getOwnPropertyDescriptor", "_ESAbstract.ToPropertyKey")
 * - _ESAbstract.CreateIterResultObject, License: CC0 (required by "Array.from", "Set")
 * - _ESAbstract.GetPrototypeFromConstructor, License: CC0 (required by "Array.from", "Set", "_ESAbstract.OrdinaryCreateFromConstructor")
 * - _ESAbstract.OrdinaryCreateFromConstructor, License: CC0 (required by "Array.from", "Set")
 * - _ESAbstract.IsConstructor, License: CC0 (required by "Array.from", "_ESAbstract.Construct")
 * - _ESAbstract.Construct, License: CC0 (required by "Array.from")
 * - _ESAbstract.IsRegExp, License: CC0 (required by "String.prototype.startsWith")
 * - _ESAbstract.IteratorClose, License: CC0 (required by "Array.from", "Set")
 * - _ESAbstract.IteratorComplete, License: CC0 (required by "Array.from", "Set")
 * - _ESAbstract.IteratorNext, License: CC0 (required by "Array.from", "Set")
 * - _ESAbstract.IteratorStep, License: CC0 (required by "Array.from", "Set")
 * - _ESAbstract.IteratorValue, License: CC0 (required by "Array.from", "Set")
 * - _ESAbstract.OrdinaryToPrimitive, License: CC0 (required by "String.prototype.startsWith", "_ESAbstract.ToString", "_ESAbstract.ToPrimitive")
 * - _ESAbstract.SameValueZero, License: CC0 (required by "Array.from", "Set", "Symbol", "Object.getOwnPropertyNames", "Array.prototype.includes")
 * - _ESAbstract.ToInteger, License: CC0 (required by "Array.from", "Set", "Symbol", "Object.getOwnPropertyNames", "Array.prototype.includes")
 * - _ESAbstract.ToLength, License: CC0 (required by "Array.from", "Set", "Symbol", "Object.getOwnPropertyNames", "Array.prototype.includes")
 * - _ESAbstract.ToPrimitive, License: CC0 (required by "Array.from", "Set", "Symbol", "Object.getOwnPropertyDescriptor", "_ESAbstract.ToPropertyKey")
 * - _ESAbstract.ToString, License: CC0 (required by "Array.from", "Set", "Symbol", "Object.getOwnPropertyDescriptor", "_ESAbstract.ToPropertyKey")
 * - _ESAbstract.ToPropertyKey, License: CC0 (required by "Array.from", "Set", "Symbol", "Object.getOwnPropertyDescriptor")
 * - Array.prototype.find, License: CC0
 * - Array.prototype.includes, License: MIT (required by "Array.from", "Set", "Symbol", "Object.getOwnPropertyNames")
 * - Object.getOwnPropertyDescriptor, License: CC0 (required by "Array.from", "Set", "Symbol")
 * - Object.isExtensible, License: CC0 (required by "Array.from", "Map")
 * - Object.keys, License: MIT (required by "Array.from", "Set", "Symbol", "Object.getOwnPropertyNames")
 * - Object.getOwnPropertyNames, License: CC0 (required by "Array.from", "Set", "Symbol")
 * - String.prototype.startsWith, License: CC0
 * - Symbol, License: MIT (required by "Array.from", "Set", "Symbol.species")
 * - Symbol.iterator, License: MIT (required by "Array.from", "Set")
 * - _ESAbstract.GetIterator, License: CC0 (required by "Array.from", "Set")
 * - Symbol.species, License: MIT (required by "Array.from", "Set")
 * - Map, License: CC0 (required by "Array.from")
 * - Set, License: CC0 (required by "Array.from")
 * - Array.from, License: CC0 */
!function(e,t){function r(e){if(1/e==-1/0&&(e=0),e>Math.pow(2,32)-1)throw new RangeError("Invalid array length");var t=[];return t.length=e,t}function o(e,t){var r=arguments.length>2?arguments[2]:[];if(!1===l(e))throw new TypeError(Object.prototype.toString.call(e)+"is not a function.");return e.apply(t,r)}function n(e,t,r){var o={value:r,writable:!0,enumerable:!0,configurable:!0};try{return Object.defineProperty(e,t,o),!0}catch(e){return!1}}function i(e,t,r){var o=n(e,t,r);if(!o)throw new TypeError("Cannot assign value `"+Object.prototype.toString.call(r)+"` to property `"+Object.prototype.toString.call(t)+"` on object `"+Object.prototype.toString.call(e)+"`");return o}function a(e,t,r){var o={value:r,writable:!0,enumerable:!1,configurable:!0};Object.defineProperty(e,t,o)}function c(e,t){return e[t]}function l(e){return"function"==typeof e}function u(e){return Boolean(e)}function p(e){if(null===e||e===t)throw TypeError();return Object(e)}function f(e,t){return p(e)[t]}function y(e,r){var o=f(e,r);if(null===o||o===t)return t;if(!1===l(o))throw new TypeError("Method not callable: "+r);return o}function b(t){switch(typeof t){case"undefined":return"undefined";case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"symbol":return"symbol";default:return null===t?"null":"Symbol"in e&&(t instanceof e.Symbol||t.constructor===e.Symbol)?"symbol":"object"}}function s(e,t){if("boolean"!==b(t))throw new Error;var r={};return n(r,"value",e),n(r,"done",t),r}function h(e,t){var r=arguments[2]||{},o=function(e,t){var r=c(e,"prototype");return"object"!==b(r)&&(r=t),r}(e,t),n=Object.create(o);for(var i in r)Object.prototype.hasOwnProperty.call(r,i)&&Object.defineProperty(n,i,{configurable:!0,enumerable:!1,writable:!0,value:r[i]});return n}function v(e){return"object"===b(e)&&("function"==typeof e&&!!e.prototype)}function w(e){var t=arguments.length>2?arguments[2]:e,r=arguments.length>1?arguments[1]:[];if(!v(e))throw new TypeError("F must be a constructor.");if(!v(t))throw new TypeError("newTarget must be a constructor.");return t===e?new(Function.prototype.bind.apply(e,[null].concat(r))):o(e,h(t,Object.prototype),r)}function g(e,r){if("object"!==b(e["[[Iterator]]"]))throw new Error(Object.prototype.toString.call(e["[[Iterator]]"])+"is not an Object.");var n=e["[[Iterator]]"],i=y(n,"return");if(i===t)return r;try{var a=o(i,n)}catch(e){var c=e}if(r)return r;if(c)throw c;if("object"!==b(a))throw new TypeError("Iterator's return method returned a non-object.");return r}function d(e){var t=function(e){if(arguments.length<2)var t=o(e["[[NextMethod]]"],e["[[Iterator]]"]);else t=o(e["[[NextMethod]]"],e["[[Iterator]]"],[arguments[1]]);if("object"!==b(t))throw new TypeError("bad iterator");return t}(e);return!0!==function(e){if("object"!==b(e))throw new Error(Object.prototype.toString.call(e)+"is not an Object.");return u(c(e,"done"))}(t)&&t}function j(e){if("object"!==b(e))throw new Error(Object.prototype.toString.call(e)+"is not an Object.");return c(e,"value")}function m(e,t){return b(e)===b(t)&&("number"===b(e)?!(!isNaN(e)||!isNaN(t))||(1/e==1/0&&1/t==-1/0||(1/e==-1/0&&1/t==1/0||e===t)):function(e,t){return e===t}(e,t))}function S(e){if("symbol"===b(e))throw new TypeError("Cannot convert a Symbol value to a number");var t=Number(e);return isNaN(t)?0:1/t==1/0||1/t==-1/0||t===1/0||t===-1/0?t:(t<0?-1:1)*Math.floor(Math.abs(t))}function O(e){var t=S(e);return t<=0?0:Math.min(t,Math.pow(2,53)-1)}function _(r){var n=arguments.length>1?arguments[1]:t;if("object"===b(r)){if(arguments.length<2)var i="default";else n===String?i="string":n===Number&&(i="number");var a="function"==typeof e.Symbol&&"symbol"==typeof e.Symbol.toPrimitive?y(r,e.Symbol.toPrimitive):t;if(a!==t){var u=o(a,r,[i]);if("object"!==b(u))return u;throw new TypeError("Cannot convert exotic object to primitive.")}return"default"===i&&(i="number"),function(e,t){if("string"===t)var r=["toString","valueOf"];else r=["valueOf","toString"];for(var n=0;n<r.length;++n){var i=c(e,r[n]);if(l(i)){var a=o(i,e);if("object"!==b(a))return a}}throw new TypeError("Cannot convert to primitive.")}(r,i)}return r}function E(e){switch(b(e)){case"symbol":throw new TypeError("Cannot convert a Symbol value to a string");case"object":return E(_(e,String));default:return String(e)}}var M,T,P,I;function x(e){var t=o(arguments.length>1?arguments[1]:y(e,Symbol.iterator),e);if("object"!==b(t))throw new TypeError("bad iterator");var r=f(t,"next"),n=Object.create(null);return n["[[Iterator]]"]=t,n["[[NextMethod]]"]=r,n["[[Done]]"]=!1,n}a(Array.prototype,"find",function(e){var r=p(this),n=O(c(r,"length"));if(!1===l(e))throw new TypeError(e+" is not a function");for(var i=arguments.length>1?arguments[1]:t,a=0;a<n;){var f=c(r,E(a));if(u(o(e,i,[f,a,r])))return f;a+=1}return t}),a(Array.prototype,"includes",function(e){"use strict";var t=p(this),r=O(c(t,"length"));if(0===r)return!1;var o=S(arguments[1]);if(o>=0)var n=o;else(n=r+o)<0&&(n=0);for(;n<r;){if(m(e,c(t,E(n))))return!0;n+=1}return!1}),M=Object.getOwnPropertyDescriptor,T={}.toString,P="".split,a(Object,"getOwnPropertyDescriptor",function(e,t){var r=p(e);r=("string"===b(r)||r instanceof String)&&"[object String]"==T.call(e)?P.call(e,""):Object(e);var o,n,i=function(e){var t=_(e,String);return"symbol"===b(t)?t:E(t)}(t);if(function(){try{return 1===Object.defineProperty(document.createElement("div"),"one",{get:function(){return 1}}).one}catch(e){return!1}})try{return M(r,i)}catch(e){}if(o=r,n=i,Object.prototype.hasOwnProperty.call(o,n))return{enumerable:!0,configurable:!0,writable:!0,value:r[i]}}),I=Object.isExtensible,a(Object,"isExtensible",function(e){return"object"===b(e)&&(!I||I(e))}),a(Object,"keys",function(){"use strict";var e=Object.prototype.hasOwnProperty,r=Object.prototype.toString,o=Object.prototype.propertyIsEnumerable,n=!o.call({toString:null},"toString"),i=o.call(function(){},"prototype");function a(){var e;try{e=Object.create({})}catch(e){return!0}return o.call(e,"__proto__")}var c=["toString","toLocaleString","valueOf","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","constructor"],l=function(e){var t=e.constructor;return t&&t.prototype===e},u={$console:!0,$external:!0,$frame:!0,$frameElement:!0,$frames:!0,$innerHeight:!0,$innerWidth:!0,$outerHeight:!0,$outerWidth:!0,$pageXOffset:!0,$pageYOffset:!0,$parent:!0,$scrollLeft:!0,$scrollTop:!0,$scrollX:!0,$scrollY:!0,$self:!0,$webkitIndexedDB:!0,$webkitStorageInfo:!0,$window:!0},p=function(){if("undefined"==typeof window)return!1;for(var t in window)try{if(!u["$"+t]&&e.call(window,t)&&null!==window[t]&&"object"==typeof window[t])try{l(window[t])}catch(e){return!0}}catch(e){return!0}return!1}();return function(o){var u,f,y,b="[object Function]"===r.call(o),s=(u=o,f=r.call(u),(y="[object Arguments]"===f)||(y="[object Array]"!==f&&null!==u&&"object"==typeof u&&"number"==typeof u.length&&u.length>=0&&"[object Function]"===r.call(u.callee)),y),h="[object String]"===r.call(o),v=[];if(o===t||null===o)throw new TypeError("Cannot convert undefined or null to object");var w=i&&b;if(h&&o.length>0&&!e.call(o,0))for(var g=0;g<o.length;++g)v.push(String(g));if(s&&o.length>0)for(var d=0;d<o.length;++d)v.push(String(d));else for(var j in o)a()&&"__proto__"===j||w&&"prototype"===j||!e.call(o,j)||v.push(String(j));if(n)for(var m=function(e){if("undefined"==typeof window||!p)return l(e);try{return l(e)}catch(e){return!1}}(o),S=0;S<c.length;++S)m&&"constructor"===c[S]||!e.call(o,c[S])||v.push(c[S]);return v}}()),function(){var t={}.toString,r="".split,o=[].concat,n=Object.prototype.hasOwnProperty,i=Object.getOwnPropertyNames||Object.keys,c="object"==typeof e?i(e):[];a(Object,"getOwnPropertyNames",function(e){var a=p(e);if("[object Window]"===t.call(a))try{return i(a)}catch(e){return o.call([],c)}a="[object String]"==t.call(a)?r.call(a,""):Object(a);for(var l=i(a),u=["length","prototype"],f=0;f<u.length;f++){var y=u[f];n.call(a,y)&&!l.includes(y)&&l.push(y)}if(l.includes("__proto__")){var b=l.indexOf("__proto__");l.splice(b,1)}return l})}(),a(String.prototype,"startsWith",function(r){"use strict";var o=arguments.length>1?arguments[1]:t,n=E(function(e){if(null===e||e===t)throw TypeError(Object.prototype.toString.call(e)+" is not coercible to Object.");return e}(this));if(function(r){if("object"!==b(r))return!1;var o="Symbol"in e&&"match"in e.Symbol?c(r,e.Symbol.match):t;if(o!==t)return u(o);try{var n=r.lastIndex;return r.lastIndex=0,RegExp.prototype.exec.call(r),!0}catch(e){}finally{r.lastIndex=n}return!1}(r))throw new TypeError("First argument to String.prototype.startsWith must not be a regular expression");var i=E(r),a=S(o),l=n.length,p=Math.min(Math.max(a,0),l);return!(i.length+p>l)&&0===n.substr(p).indexOf(r)}),function(r,o,n){"use strict";var i,a=function(){try{var e={};return r.defineProperty(e,"t",{configurable:!0,enumerable:!1,get:function(){return!0},set:t}),!!e.t}catch(e){return!1}}(),c=0,l=""+Math.random(),u="__symbol:",p=u.length,f="__symbol@@"+l,y={},s="defineProperty",h="defineProperties",v="getOwnPropertyNames",w="getOwnPropertyDescriptor",g="propertyIsEnumerable",d=r.prototype,j=d.hasOwnProperty,m=d[g],S=d.toString,O=Array.prototype.concat,_=r.getOwnPropertyNames?r.getOwnPropertyNames(e):[],E=r[v],M=function(e){if("[object Window]"===S.call(e))try{return E(e)}catch(e){return O.call([],_)}return E(e)},T=r[w],P=r.create,I=r.keys,x=r.freeze||r,z=r[s],k=r[h],N=T(r,v),$=function(e,t,r){if(!j.call(e,f))try{z(e,f,{enumerable:!1,configurable:!1,writable:!1,value:{}})}catch(t){e[f]={}}e[f]["@@"+t]=r},F=function(){},A=function(e){return e!=f&&!j.call(V,e)},D=function(e){return e!=f&&j.call(V,e)},K=function(e){var t=""+e;return D(t)?j.call(this,t)&&this[f]&&this[f]["@@"+t]:m.call(this,e)},C=function(e){var t={enumerable:!1,configurable:!0,get:F,set:function(t){i(this,e,{enumerable:!1,configurable:!0,writable:!0,value:t}),$(this,e,!0)}};try{z(d,e,t)}catch(r){d[e]=t.value}V[e]=z(r(e),"constructor",q);var o=T(L.prototype,"description");return o&&z(V[e],"description",o),x(V[e])},W=function(e){var r=function(e){if("symbol"===b(e))return e;throw TypeError(e+" is not a symbol")}(e);if(G){var o=Y(r);if(""!==o)return o.slice(1,-1)}if(y[r]!==t)return y[r];var n=r.toString(),i=n.lastIndexOf("0.");return""===(n=n.slice(10,i))?t:n},L=function e(){var o=arguments[0];if(this instanceof e)throw new TypeError("Symbol is not a constructor");var n=u.concat(o||"",l,++c);o===t||null!==o&&!isNaN(o)&&""!==String(o)||(y[n]=String(o));var i=C(n);return a||r.defineProperty(i,"description",{configurable:!0,enumerable:!1,value:W(i)}),i},V=P(null),q={value:L},B=function(e){return V[e]},H=function(e,t,r){var o=""+t;return D(o)?(i(e,o,r.enumerable?function(e){var t=P(e);return t.enumerable=!1,t}(r):r),$(e,o,!!r.enumerable)):z(e,t,r),e},R=function(e){return M(e).filter(e===d?(t=e,function(e){return j.call(t,f)&&j.call(t[f],"@@"+e)}):D).map(B);var t};N.value=H,z(r,s,N),N.value=R,z(r,"getOwnPropertySymbols",N),N.value=function(e){return M(e).filter(A)},z(r,v,N),N.value=function(e,t){var r=R(t);return r.length?I(t).concat(r).forEach(function(r){K.call(t,r)&&H(e,r,t[r])}):k(e,t),e},z(r,h,N),N.value=K,z(d,g,N),N.value=L,z(n,"Symbol",N),N.value=function(e){var t=u.concat(u,e,l);return t in d?V[t]:C(t)},z(L,"for",N),N.value=function(e){if(A(e))throw new TypeError(e+" is not a symbol");return j.call(V,e)?e.slice(2*p,-l.length):void 0},z(L,"keyFor",N),N.value=function(e,t){var r=T(e,t);return r&&D(t)&&(r.enumerable=K.call(e,t)),r},z(r,w,N),N.value=function(e,t){return 1===arguments.length||void 0===t?P(e):function(e,t){var r=P(e);return M(t).forEach(function(e){K.call(t,e)&&H(r,e,t[e])}),r}(e,t)},z(r,"create",N);var X=null===function(){return this}.call(null);if(N.value=X?function(){var e=S.call(this);return"[object String]"===e&&D(this)?"[object Symbol]":e}:function(){if(this===window)return"[object Null]";var e=S.call(this);return"[object String]"===e&&D(this)?"[object Symbol]":e},z(d,"toString",N),i=function(e,t,r){var o=T(d,t);delete d[t],z(e,t,r),e!==d&&z(d,t,o)},function(){try{var e={};return r.defineProperty(e,"t",{configurable:!0,enumerable:!1,get:function(){return!0},set:t}),!!e.t}catch(e){return!1}}()){var Y;try{Y=Function("s","var v = s.valueOf(); return { [v]() {} }[v].name;")}catch(e){}var G=Y&&"inferred"===function(){}.name?Y:null;r.defineProperty(n.Symbol.prototype,"description",{configurable:!0,enumerable:!1,get:function(){return W(this)}})}}(Object,0,e),Object.defineProperty(e.Symbol,"iterator",{value:e.Symbol("iterator")}),Object.defineProperty(Symbol,"species",{value:Symbol("species")}),function(e){var r=function(){try{var e={};return Object.defineProperty(e,"t",{configurable:!0,enumerable:!1,get:function(){return!0},set:t}),!!e.t}catch(e){return!1}}(),o=0,n=Symbol("meta_"+(1e8*Math.random()+"").replace(".","")),i=function(e){if("object"==typeof e?null!==e:"function"==typeof e){if(!Object.isExtensible(e))return!1;if(!Object.prototype.hasOwnProperty.call(e,n)){var t=typeof e+"-"+ ++o;Object.defineProperty(e,n,{configurable:!1,enumerable:!1,writable:!1,value:t})}return e[n]}return""+e},c=function(e,r){var o=i(r);if(!1===o)return u(e,r);var n=e._table[o];return n!==t&&n},u=function(e,t){for(var r=0;r<e._keys.length;r++){var o=e._keys[r];if(o!==f&&m(o,t))return r}return!1},p=function(e,t,r){var o=i(t);return!1!==o&&(!1===r?delete e._table[o]:e._table[o]=r,!0)},f=Symbol("undef"),y=function e(){if(!(this instanceof e))throw new TypeError('Constructor Map requires "new"');var o=h(this,e.prototype,{_table:{},_keys:[],_values:[],_size:0,_es6Map:!0});r||Object.defineProperty(o,"size",{configurable:!0,enumerable:!1,writable:!0,value:0});var n=arguments.length>0?arguments[0]:t;if(null===n||n===t)return o;var i=o.set;if(!l(i))throw new TypeError("Map.prototype.set is not a function");try{for(var a=x(n);;){var c=d(a);if(!1===c)return o;var u=j(c);if("object"!==b(u))try{throw new TypeError("Iterator value "+u+" is not an entry object")}catch(e){return g(a,e)}try{var p=u[0],f=u[1];i.call(o,p,f)}catch(e){return g(a,e)}}}catch(e){if(Array.isArray(n)||"[object Arguments]"===Object.prototype.toString.call(n)||n.callee){var y,s=n.length;for(y=0;y<s;y++)i.call(o,n[y][0],n[y][1])}}return o};function v(e,t){if("object"!==b(e))throw new TypeError("createMapIterator called on incompatible receiver "+Object.prototype.toString.call(e));if(!0!==e._es6Map)throw new TypeError("createMapIterator called on incompatible receiver "+Object.prototype.toString.call(e));var r=Object.create(w);return Object.defineProperty(r,"[[Map]]",{configurable:!0,enumerable:!1,writable:!0,value:e}),Object.defineProperty(r,"[[MapNextIndex]]",{configurable:!0,enumerable:!1,writable:!0,value:0}),Object.defineProperty(r,"[[MapIterationKind]]",{configurable:!0,enumerable:!1,writable:!0,value:t}),r}Object.defineProperty(y,"prototype",{configurable:!1,enumerable:!1,writable:!1,value:{}}),r?Object.defineProperty(y,Symbol.species,{configurable:!0,enumerable:!1,get:function(){return this},set:t}):a(y,Symbol.species,y),a(y.prototype,"clear",function(){var e=this;if("object"!==b(e))throw new TypeError("Method Map.prototype.clear called on incompatible receiver "+Object.prototype.toString.call(e));if(!0!==e._es6Map)throw new TypeError("Method Map.prototype.clear called on incompatible receiver "+Object.prototype.toString.call(e));for(var o=e._keys,n=0;n<o.length;n++)e._keys[n]=f,e._values[n]=f;return this._size=0,r||(this.size=this._size),this._table={},t}),a(y.prototype,"constructor",y),a(y.prototype,"delete",function(e){var t=this;if("object"!==b(t))throw new TypeError("Method Map.prototype.clear called on incompatible receiver "+Object.prototype.toString.call(t));if(!0!==t._es6Map)throw new TypeError("Method Map.prototype.clear called on incompatible receiver "+Object.prototype.toString.call(t));var o=c(t,e);if(!1!==o){var n=t._keys[o];if(n!==f&&m(n,e))return this._keys[o]=f,this._values[o]=f,this._size=--this._size,r||(this.size=this._size),p(this,e,!1),!0}return!1}),a(y.prototype,"entries",function(){return v(this,"key+value")}),a(y.prototype,"forEach",function(e){var r=this;if("object"!==b(r))throw new TypeError("Method Map.prototype.forEach called on incompatible receiver "+Object.prototype.toString.call(r));if(!0!==r._es6Map)throw new TypeError("Method Map.prototype.forEach called on incompatible receiver "+Object.prototype.toString.call(r));if(!l(e))throw new TypeError(Object.prototype.toString.call(e)+" is not a function.");if(arguments[1])var o=arguments[1];for(var n=r._keys,i=0;i<n.length;i++)r._keys[i]!==f&&r._values[i]!==f&&e.call(o,r._values[i],r._keys[i],r);return t}),a(y.prototype,"get",function(e){var r=this;if("object"!==b(r))throw new TypeError("Method Map.prototype.get called on incompatible receiver "+Object.prototype.toString.call(r));if(!0!==r._es6Map)throw new TypeError("Method Map.prototype.get called on incompatible receiver "+Object.prototype.toString.call(r));var o=c(r,e);if(!1!==o){var n=r._keys[o];if(n!==f&&m(n,e))return r._values[o]}return t}),a(y.prototype,"has",function(e){var t=this;if("object"!=typeof t)throw new TypeError("Method Map.prototype.has called on incompatible receiver "+Object.prototype.toString.call(t));if(!0!==t._es6Map)throw new TypeError("Method Map.prototype.has called on incompatible receiver "+Object.prototype.toString.call(t));var r=c(t,e);if(!1!==r){var o=t._keys[r];if(o!==f&&m(o,e))return!0}return!1}),a(y.prototype,"keys",function(){return v(this,"key")}),a(y.prototype,"set",function(e,t){var o=this;if("object"!==b(o))throw new TypeError("Method Map.prototype.set called on incompatible receiver "+Object.prototype.toString.call(o));if(!0!==o._es6Map)throw new TypeError("Method Map.prototype.set called on incompatible receiver "+Object.prototype.toString.call(o));var n=c(o,e);if(!1!==n)o._values[n]=t;else{-0===e&&(e=0);var i={"[[Key]]":e,"[[Value]]":t};o._keys.push(i["[[Key]]"]),o._values.push(i["[[Value]]"]),p(o,e,o._keys.length-1),++o._size,r||(o.size=o._size)}return o}),r&&Object.defineProperty(y.prototype,"size",{configurable:!0,enumerable:!1,get:function(){var e=this;if("object"!==b(e))throw new TypeError("Method Map.prototype.size called on incompatible receiver "+Object.prototype.toString.call(e));if(!0!==e._es6Map)throw new TypeError("Method Map.prototype.size called on incompatible receiver "+Object.prototype.toString.call(e));return this._size},set:t}),a(y.prototype,"values",function(){return v(this,"value")}),a(y.prototype,Symbol.iterator,y.prototype.entries),"name"in y||Object.defineProperty(y,"name",{configurable:!0,enumerable:!1,writable:!1,value:"Map"});var w={};Object.defineProperty(w,"isMapIterator",{configurable:!1,enumerable:!1,writable:!1,value:!0}),a(w,"next",function(){var e=this;if("object"!==b(e))throw new TypeError("Method %MapIteratorPrototype%.next called on incompatible receiver "+Object.prototype.toString.call(e));if(!e.isMapIterator)throw new TypeError("Method %MapIteratorPrototype%.next called on incompatible receiver "+Object.prototype.toString.call(e));var r=e["[[Map]]"],o=e["[[MapNextIndex]]"],n=e["[[MapIterationKind]]"];if(r===t)return s(t,!0);if(!r._es6Map)throw new Error(Object.prototype.toString.call(r)+" has a [[MapData]] internal slot.");for(var i=r._keys.length;o<i;){var a=Object.create(null);if(a["[[Key]]"]=r._keys[o],a["[[Value]]"]=r._values[o],o+=1,e["[[MapNextIndex]]"]=o,a["[[Key]]"]!==f){if("key"===n)var c=a["[[Key]]"];else if("value"===n)c=a["[[Value]]"];else{if("key+value"!==n)throw new Error;c=[a["[[Key]]"],a["[[Value]]"]]}return s(c,!1)}}return e["[[Map]]"]=t,s(t,!0)}),a(w,Symbol.iterator,function(){return this});try{a(e,"Map",y)}catch(t){e.Map=y}}(e),function(e){var r=function(){try{var e={};return Object.defineProperty(e,"t",{configurable:!0,enumerable:!1,get:function(){return!0},set:t}),!!e.t}catch(e){return!1}}(),o=Symbol("undef"),n=function e(){if(!(this instanceof e))throw new TypeError('Constructor Set requires "new"');var o=h(this,e.prototype,{_values:[],_size:0,_es6Set:!0});r||Object.defineProperty(o,"size",{configurable:!0,enumerable:!1,writable:!0,value:0});var n=arguments.length>0?arguments[0]:t;if(null===n||n===t)return o;var i=o.add;if(!l(i))throw new TypeError("Set.prototype.add is not a function");try{for(var a=x(n);;){var c=d(a);if(!1===c)return o;var u=j(c);try{i.call(o,u)}catch(e){return g(a,e)}}}catch(e){if(!Array.isArray(n)&&"[object Arguments]"!==Object.prototype.toString.call(n)&&!n.callee)throw e;var p,f=n.length;for(p=0;p<f;p++)i.call(o,n[p])}return o};Object.defineProperty(n,"prototype",{configurable:!1,enumerable:!1,writable:!1,value:{}}),r?Object.defineProperty(n,Symbol.species,{configurable:!0,enumerable:!1,get:function(){return this},set:t}):a(n,Symbol.species,n),a(n.prototype,"add",function(e){var t=this;if("object"!=typeof t)throw new TypeError("Method Set.prototype.add called on incompatible receiver "+Object.prototype.toString.call(t));if(!0!==t._es6Set)throw new TypeError("Method Set.prototype.add called on incompatible receiver "+Object.prototype.toString.call(t));for(var n=t._values,i=0;i<n.length;i++){var a=n[i];if(a!==o&&m(a,e))return t}return 0===e&&1/e==-1/0&&(e=0),t._values.push(e),this._size=++this._size,r||(this.size=this._size),t}),a(n.prototype,"clear",function(){var e=this;if("object"!=typeof e)throw new TypeError("Method Set.prototype.clear called on incompatible receiver "+Object.prototype.toString.call(e));if(!0!==e._es6Set)throw new TypeError("Method Set.prototype.clear called on incompatible receiver "+Object.prototype.toString.call(e));for(var n=e._values,i=0;i<n.length;i++)n[i]=o;return this._size=0,r||(this.size=this._size),t}),a(n.prototype,"constructor",n),a(n.prototype,"delete",function(e){var t=this;if("object"!=typeof t)throw new TypeError("Method Set.prototype.delete called on incompatible receiver "+Object.prototype.toString.call(t));if(!0!==t._es6Set)throw new TypeError("Method Set.prototype.delete called on incompatible receiver "+Object.prototype.toString.call(t));for(var n=t._values,i=0;i<n.length;i++){var a=n[i];if(a!==o&&m(a,e))return n[i]=o,this._size=--this._size,r||(this.size=this._size),!0}return!1}),a(n.prototype,"entries",function(){return c(this,"key+value")}),a(n.prototype,"forEach",function(e){var r=this;if("object"!=typeof r)throw new TypeError("Method Set.prototype.forEach called on incompatible receiver "+Object.prototype.toString.call(r));if(!0!==r._es6Set)throw new TypeError("Method Set.prototype.forEach called on incompatible receiver "+Object.prototype.toString.call(r));if(!l(e))throw new TypeError(Object.prototype.toString.call(e)+" is not a function.");if(arguments[1])var n=arguments[1];for(var i=r._values,a=0;a<i.length;a++){var c=i[a];c!==o&&e.call(n,c,c,r)}return t}),a(n.prototype,"has",function(e){var t=this;if("object"!=typeof t)throw new TypeError("Method Set.prototype.forEach called on incompatible receiver "+Object.prototype.toString.call(t));if(!0!==t._es6Set)throw new TypeError("Method Set.prototype.forEach called on incompatible receiver "+Object.prototype.toString.call(t));for(var r=t._values,n=0;n<r.length;n++){var i=r[n];if(i!==o&&m(i,e))return!0}return!1});var i=function(){return c(this,"value")};function c(e,t){if("object"!=typeof e)throw new TypeError("createSetIterator called on incompatible receiver "+Object.prototype.toString.call(e));if(!0!==e._es6Set)throw new TypeError("createSetIterator called on incompatible receiver "+Object.prototype.toString.call(e));var r=Object.create(u);return Object.defineProperty(r,"[[IteratedSet]]",{configurable:!0,enumerable:!1,writable:!0,value:e}),Object.defineProperty(r,"[[SetNextIndex]]",{configurable:!0,enumerable:!1,writable:!0,value:0}),Object.defineProperty(r,"[[SetIterationKind]]",{configurable:!0,enumerable:!1,writable:!0,value:t}),r}a(n.prototype,"values",i),a(n.prototype,"keys",i),r&&Object.defineProperty(n.prototype,"size",{configurable:!0,enumerable:!1,get:function(){var e=this;if("object"!=typeof e)throw new TypeError("Method Set.prototype.size called on incompatible receiver "+Object.prototype.toString.call(e));if(!0!==e._es6Set)throw new TypeError("Method Set.prototype.size called on incompatible receiver "+Object.prototype.toString.call(e));for(var t=e._values,r=0,n=0;n<t.length;n++){t[n]!==o&&(r+=1)}return r},set:t}),a(n.prototype,Symbol.iterator,i),"name"in n||Object.defineProperty(n,"name",{configurable:!0,enumerable:!1,writable:!1,value:"Set"});var u={};Object.defineProperty(u,"isSetIterator",{configurable:!1,enumerable:!1,writable:!1,value:!0}),a(u,"next",function(){var e=this;if("object"!=typeof e)throw new TypeError("Method %SetIteratorPrototype%.next called on incompatible receiver "+Object.prototype.toString.call(e));if(!e.isSetIterator)throw new TypeError("Method %SetIteratorPrototype%.next called on incompatible receiver "+Object.prototype.toString.call(e));var r=e["[[IteratedSet]]"],n=e["[[SetNextIndex]]"],i=e["[[SetIterationKind]]"];if(r===t)return s(t,!0);if(!r._es6Set)throw new Error(Object.prototype.toString.call(r)+" does not have [[SetData]] internal slot.");for(var a=r._values,c=a.length;n<c;){var l=a[n];if(n+=1,e["[[SetNextIndex]]"]=n,l!==o)return s("key+value"===i?[l,l]:l,!1)}return e["[[IteratedSet]]"]=t,s(t,!0)}),a(u,Symbol.iterator,function(){return this});try{a(e,"Set",n)}catch(t){e.Set=n}}(e),function(){var e=Object.prototype.toString,n=String.prototype.match;a(Array,"from",function(a){var u=this,f=arguments.length>1?arguments[1]:t;if(f===t)var b=!1;else{if(!1===l(f))throw new TypeError(Object.prototype.toString.call(f)+" is not a function.");var s=arguments.length>2?arguments[2]:t;if(s!==t)var h=s;else h=t;b=!0}var m,S=y(a,Symbol.iterator);if(S!==t){if(v(u))var _=w(u);else _=r(0);for(var M=x(a,S),T=0;;){if(T>=Math.pow(2,53)-1)return g(M,new TypeError("Iteration count can not be greater than or equal 9007199254740991."));var P=E(T),I=d(M);if(!1===I)return _.length=T,_;var z=j(I);if(b)try{var k=o(f,h,[z,T])}catch(e){return g(M,e)}else k=z;try{i(_,P,k)}catch(e){return g(M,e)}T+=1}}if("string"==typeof(m=a)||"object"==typeof m&&"[object String]"===e.call(m))var N=n.call(a,/[\uD800-\uDBFF][\uDC00-\uDFFF]?|[^\uD800-\uDFFF]|./g)||[];else N=p(a);var $=O(c(N,"length"));for(_=v(u)?w(u,[$]):r($),T=0;T<$;){var F=c(N,P=E(T));i(_,P,k=!0===b?o(f,h,[F,T]):F),T+=1}return _.length=$,_})}()}("object"==typeof window&&window||"object"==typeof self&&self||"object"==typeof global&&global||{}),window.NodeList&&!NodeList.prototype.forEach&&(NodeList.prototype.forEach=Array.prototype.forEach);
"use strict";function _toConsumableArray(e){return _arrayWithoutHoles(e)||_iterableToArray(e)||_unsupportedIterableToArray(e)||_nonIterableSpread()}function _nonIterableSpread(){throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}function _unsupportedIterableToArray(e,t){if(e){if("string"==typeof e)return _arrayLikeToArray(e,t);var n=Object.prototype.toString.call(e).slice(8,-1);return"Object"===n&&e.constructor&&(n=e.constructor.name),"Map"===n||"Set"===n?Array.from(e):"Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)?_arrayLikeToArray(e,t):void 0}}function _iterableToArray(e){if("undefined"!=typeof Symbol&&null!=e[Symbol.iterator]||null!=e["@@iterator"])return Array.from(e)}function _arrayWithoutHoles(e){if(Array.isArray(e))return _arrayLikeToArray(e)}function _arrayLikeToArray(e,t){(null==t||t>e.length)&&(t=e.length);for(var n=0,i=new Array(t);n<t;n++)i[n]=e[n];return i}function _classCallCheck(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function _defineProperties(e,t){for(var n=0;n<t.length;n++){var i=t[n];i.enumerable=i.enumerable||!1,i.configurable=!0,"value"in i&&(i.writable=!0),Object.defineProperty(e,i.key,i)}}function _createClass(e,t,n){return t&&_defineProperties(e.prototype,t),n&&_defineProperties(e,n),e}function _defineProperty(e,t,n){return t in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}
/*!
 * IconicMultiSelect v0.2.0
 * Licence:  MIT
 * (c) 2021 Sidney Wimart.
 */var IconicMultiSelect=function(){function e(t){var n=t.customCss,i=t.data,o=t.noData,s=t.noResults,l=t.placeholder,r=t.select,a=t.textField,c=t.valueField;_classCallCheck(this,e),_defineProperty(this,"customCss",void 0),_defineProperty(this,"data",void 0),_defineProperty(this,"domElements",{}),_defineProperty(this,"event",function(){}),_defineProperty(this,"noData",void 0),_defineProperty(this,"noResults",void 0),_defineProperty(this,"options",[]),_defineProperty(this,"placeholder",void 0),_defineProperty(this,"prefix","iconic"+Math.floor(1e3+9e3*Math.random())+"-"),_defineProperty(this,"selectContainer",void 0),_defineProperty(this,"selectedOptions",[]),_defineProperty(this,"textField",void 0),_defineProperty(this,"valueField",void 0),this.customCss=n,this.data=null!=i?i:[],this.noData=null!=o?o:"No data found.",this.noResults=null!=s?s:"No results found.",this.placeholder=null!=l?l:"Select...",this.selectContainer=document.querySelector(r),this.textField=null!=a?a:null,this.valueField=null!=c?c:null}return _createClass(e,[{key:"init",value:function(){if(!this.selectContainer||"SELECT"!==this.selectContainer.nodeName)throw new Error("The selector '".concat(element,"' did not select any valid select tag."));this.options=this._getDataFromSettings()||this._getDataFromSelectTag(),this._injectCss(),this._renderMultiselect(),this._renderOptionsList(),this.domElements={clear:document.querySelector(".".concat(this.prefix+"multiselect__clear-btn")),input:document.querySelector(".".concat(this.prefix+"multiselect__input")),optionsContainer:document.querySelector(".".concat(this.prefix+"multiselect__options")),optionsContainerList:document.querySelector(".".concat(this.prefix+"multiselect__options > ul")),options:document.querySelectorAll(".".concat(this.prefix+"multiselect__options"," > ul > li"))},this._enableEventListenners()}},{key:"subscribe",value:function(e){if("function"!=typeof e)throw new Error("parameter in the subscribe method is not a function");this.event=e}},{key:"_addOptionToList",value:function(e){var t=this,n='<span class="'.concat(this.prefix+"multiselect__selected",'" data-value="').concat(e.value,'">').concat(e.text,'<span class="').concat(this.prefix+"multiselect__remove-btn",'">&#10006;</span></span>');this.domElements.input.insertAdjacentHTML("beforebegin",n),document.querySelector('span[data-value="'.concat(e.value,'"]')).firstElementChild.addEventListener("click",function(){var n=document.querySelector('li[data-value="'.concat(e.value,'"]'));t._handleOption(n)})}},{key:"_clearSelection",value:function(){var e=this;this.selectedOptions.forEach(function(t){var n=document.querySelector('li[data-value="'.concat(t.value,'"]'));e._handleOption(n,!1)}),this._dispatchEvent({action:"CLEAR_ALL_OPTIONS",selection:this.selectedOptions})}},{key:"_dispatchEvent",value:function(e){this.event(e)}},{key:"_enableEventListenners",value:function(){var e=this;this.domElements.clear.addEventListener("click",function(){e._clearSelection()}),this.domElements.options.forEach(function(t){t.addEventListener("click",function(t){var n=t.target;e._handleOption(n),e.domElements.input.value="",e.domElements.optionsContainer.style.display="none",e._filterOptions("")})}),this.domElements.input.addEventListener("focus",function(){e.domElements.optionsContainer.style.display="block"}),this.domElements.input.addEventListener("input",function(t){var n=t.target.value;e._filterOptions(n)}),this.domElements.input.addEventListener("keydown",function(t){e._handleBackspace(t)})}},{key:"_filterOptions",value:function(e){var t=e.toLowerCase();this.domElements.options.forEach(function(e){e.dataset.value.toLowerCase().startsWith(t)?e.style.display="block":e.style.display="none"});var n=Array.from(this.domElements.options).some(function(e){return e.dataset.value.toLowerCase().startsWith(t)});this._showNoResults(!n)}},{key:"_getDataFromSelectTag",value:function(){return Array.from(this.selectContainer.options).map(function(e){return{text:e.text,value:e.value}})}},{key:"_getDataFromSettings",value:function(){var e=this;if(this.data.length>0&&this.valueField&&this.textField){var t="string"==typeof this.valueField,n="string"==typeof this.textField;if(!t||!n)throw new Error("textField and valueField must be of type string");return this.data.map(function(t){return{value:t[e.valueField],text:t[e.textField]}})}return null}},{key:"_handleBackspace",value:function(e){if(8===e.keyCode&&""===e.target.value){var t=this.selectedOptions.length>0?this.selectedOptions[this.selectedOptions.length-1]:null;if(t){var n=document.querySelector('li[data-value="'.concat(t.value,'"]'));this._handleOption(n)}}}},{key:"_handleClearSelectionBtn",value:function(){this.selectedOptions.length>0?this.domElements.clear.style.display="block":this.domElements.clear.style.display="none"}},{key:"_handleOption",value:function(e){var t=!(arguments.length>1&&void 0!==arguments[1])||arguments[1];if(this.selectedOptions.some(function(t){return t.value==e.dataset.value}))e.classList.remove("".concat(this.prefix,"multiselect__options--selected")),this.selectedOptions=this.selectedOptions.filter(function(t){return t.value!=e.dataset.value}),this._removeOptionFromList(e.dataset.value),t&&this._dispatchEvent({action:"REMOVE_OPTION",value:e.dataset.value,selection:this.selectedOptions});else{var n=this.options.find(function(t){return t.value==e.dataset.value});e.classList.add("".concat(this.prefix,"multiselect__options--selected")),this.selectedOptions=[].concat(_toConsumableArray(this.selectedOptions),[n]),this._addOptionToList(n),t&&this._dispatchEvent({action:"ADD_OPTION",value:e.dataset.value,selection:this.selectedOptions})}this._handleClearSelectionBtn(),this._handlePlaceholder()}},{key:"_handlePlaceholder",value:function(){this.selectedOptions.length>0?this.domElements.input.placeholder="":this.domElements.input.placeholder=this.placeholder}},{key:"_removeOptionFromList",value:function(e){var t=document.querySelector('span[data-value="'.concat(e,'"]'));t.parentNode&&t.parentNode.removeChild(t)}},{key:"_renderOptionsList",value:function(){var e='\n        <div style="display: none;" class="'.concat(this.prefix,'multiselect__options">\n          <ul>\n          ').concat(this.options.length>0?this.options.map(function(e){return'\n              <li style="display: block;" data-value="'.concat(e.value,'">').concat(e.text,"</li>\n            ")}).join(""):"","\n          ").concat(this._showNoData(0===this.options.length),"\n          </ul>\n        </div>\n      ");document.querySelector(".".concat(this.prefix+"multiselect__container")).insertAdjacentHTML("beforeend",e)}},{key:"_renderMultiselect",value:function(){this.selectContainer.style.display="none";var e='\n      <div class="'.concat(this.prefix+"multiselect__container",'">\n        <div class="').concat(this.prefix+"multiselect__wrapper",'">\n          <input class="').concat(this.prefix+"multiselect__input",'" placeholder="').concat(this.placeholder,'" />\n        </div>\n        <span style="display: none;" class="').concat(this.prefix+"multiselect__clear-btn",'">&#10006;</span>\n      </div>\n    ');this.selectContainer.insertAdjacentHTML("afterend",e)}},{key:"_showNoData",value:function(e){return e?'<p class="'.concat(this.prefix,'multiselect__options--no-data">').concat(this.noData,"</p>"):""}},{key:"_showNoResults",value:function(e){var t=document.querySelector(".".concat(this.prefix,"multiselect__options--no-results"));if(e){var n='<p class="'.concat(this.prefix,'multiselect__options--no-results">').concat(this.noResults,"</p>");!t&&this.domElements.optionsContainerList.insertAdjacentHTML("beforeend",n)}else t&&t.parentNode&&t.parentNode.removeChild(t)}},{key:"_injectCss",value:function(){var e="\n      <style>\n        .".concat(this.prefix,"multiselect__container {\n          align-items: center;\n          background-color: #fff;\n          border-radius: 2px;\n          border: 1px solid rgba(0,0,0,.08);\n          box-sizing: border-box;\n          display: flex;\n          font-family: Arial,Helvetica,sans-serif;\n          min-height: 40px;\n          padding: 4px 8px 0 8px;\n          position: relative;\n          width: 354px;\n        }\n\n        .").concat(this.prefix,"multiselect__container:after {\n          content:'';\n          min-height:inherit;\n          font-size:0;\n        }\n\n        .").concat(this.prefix,"multiselect__container > * {\n          color: #656565;\n          font-size: 14px;\n        }\n\n        .").concat(this.prefix+"multiselect__wrapper"," {\n          display: flex;\n          flex-wrap: wrap;\n          height: 100%;\n          width: 100%;\n        }\n\n        .").concat(this.prefix,"multiselect__clear-btn {\n           cursor: pointer;\n           margin-bottom: 4px;\n           margin-left: 4px;\n        }\n\n        .").concat(this.prefix,"multiselect__options {\n          background-color: #f6f6f6;\n          border-radius: 2px;\n          border: 1px solid rgba(0,0,0,.08);\n          left: -1px;\n          max-height: 120px;\n          overflow: auto;\n          position: absolute;\n          top: calc(100% + 2px);\n          width: 100%;\n        }\n\n        .").concat(this.prefix,"multiselect__options ul {\n          list-style: none;\n          margin: 0;\n          padding: 2px 0;\n        }\n\n        .").concat(this.prefix,"multiselect__options ul li {\n          cursor: pointer;\n          padding: 4px 8px;\n        }\n\n        .").concat(this.prefix,"multiselect__options ul p.").concat(this.prefix,"multiselect__options--no-results, \n        .").concat(this.prefix,"multiselect__options ul p.").concat(this.prefix,"multiselect__options--no-data {\n          margin: 0;\n          padding: 8px;\n          text-align: center;\n        }\n\n        .").concat(this.prefix,"multiselect__options ul li.").concat(this.prefix,"multiselect__options--selected {\n          background-color: #ff6358;\n          color: #fff;\n        }\n\n        .").concat(this.prefix,"multiselect__options ul li.").concat(this.prefix,"multiselect__options--selected:hover {\n          background-color: #eb5b51;\n        }\n\n        .").concat(this.prefix,"multiselect__options ul li:hover {\n          background-color: #dedede;\n        }\n\n        .").concat(this.prefix,"multiselect__selected {\n          background-color: #656565;\n          border-radius: 2px;\n          color: #fff;\n          margin-bottom: 4px;\n          margin-right: 4px;\n          padding: 4px 8px;\n          display: flex;\n          align-items: center;\n        }\n\n        .").concat(this.prefix,"multiselect__selected .").concat(this.prefix,"multiselect__remove-btn {\n          cursor: pointer;\n          margin-left: 6px;\n        }\n\n        .").concat(this.prefix,"multiselect__input {\n          border: none;\n          flex-basis: 40px;\n          flex-grow: 1;\n          margin-bottom: 4px;\n          min-width: 40px;\n          outline: none;            \n        }\n      </style>\n      ");this.customCss||document.querySelector("head").insertAdjacentHTML("beforeend",e),this.customCss&&(this.prefix="")}}]),e}();